PUT
/
api
/
v1
/
admin
/
simulation
/
team-sessions
/
{session_id}
/
goals
Update Team Simulation Goals
curl --request PUT \
  --url https://api.jobsim.work/api/v1/admin/simulation/team-sessions/{session_id}/goals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shared_goals": [
    "<string>"
  ],
  "conflicting_incentives": [
    "<string>"
  ],
  "team_risk_flags": [
    "<string>"
  ],
  "status": "<string>",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Body

application/json

Request payload to update shared multiplayer goals and session state.

shared_goals
string[] | null
conflicting_incentives
string[] | null
team_risk_flags
string[] | null
status
string | null
metadata
Metadata · object

Response

Successful Response